Poll clipping job status
curl --request GET \
--url https://mvp.tryunsora.com/api/v1/clippings/status/{clippingId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://mvp.tryunsora.com/api/v1/clippings/status/{clippingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mvp.tryunsora.com/api/v1/clippings/status/{clippingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "<string>",
"videoUrl": "<string>",
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"clips": [
{
"id": "<string>",
"order": 123,
"title": "<string>",
"startTime": 123,
"endTime": 123,
"duration": 123,
"status": "<string>",
"outputAsset": {},
"thumbnailAsset": {},
"metadata": {}
}
],
"config": {
"sourceLang": "<string>",
"targetLang": "<string>",
"query": "<string>",
"limit": 123,
"enableCaption": true,
"captionStyle": "<string>"
},
"creditsUsed": 123
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Generation status
Poll clipping status
Sync with the provider and return the latest job state.
GET
/
clippings
/
status
/
{clippingId}
Poll clipping job status
Poll while a clipping job is QUEUED or PROCESSING. This endpoint syncs with the provider before responding.
GET /clippings/status/{clippingId}
Alias:
GET /clippings/refresh/{clippingId} behaves the same way.Path parameter
Job id from Create clipping job.
Example
curl "https://mvp.tryunsora.com/api/v1/clippings/status/CLIPPING_ID" \
-H "Authorization: Bearer uns_live_YOUR_API_KEY"
Errors
| HTTP | When |
|---|---|
404 | User or job not found |
500 | Provider sync failed |
⌘I

